UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Static Protected Member Functions | Protected Attributes | List of all members
com.latencybusters.lbm.sdm.LBMSDMArrayString Class Reference
Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMArrayString:

## Public Member Functions
String | get ()
String | get (int idx) throws LBMSDMException
int | get_len ()
void | set (String v)
void | set (String v, int idx)
void | set (LBMSDMField newfield, int arrayindex) throws LBMSDMException
| LBMSDMArrayString (String name)
| LBMSDMArrayString (String name, boolean nullfield)
void | append (LBMSDMField newfield) throws LBMSDMException
void | append (String v)
String | toDbgString ()
int | format (byte[] buf, int offset) throws LBMSDMException
String | toString ()
int | parse (byte[] buf, int offset) throws LBMSDMException
int | length ()
LBMSDMArrayString | clone () throws CloneNotSupportedException
void | remove ()
String | next ()
boolean | hasNext ()
void | reset ()
void | Reset ()
void | remove (int element)
final int | get_base_len ()
int | parse_name (byte[] buf, int offset) throws LBMSDMException
short | getType ()
String | getTypeString ()
boolean | sameType (LBMSDMField f)
boolean | sameBaseType (LBMSDMField f)
String | get_name ()
void | set_name (String new_name)
void | add_element (LBMSDMField newfield) throws LBMSDMException
String | internalString (String sname, String sval)
int | name_len ()
int | type_len ()
int | format_name (byte[] buf, int offset) throws LBMSDMException
int | format_type (byte[] buf, int offset) throws LBMSDMException
boolean | isNull ()
void | setNull ()
void | set_debug_level (int level)
void | log (String s)

## Static Public Member Functions
static int | format_short (byte[] buf, int offset, String arbstr) throws LBMSDMException
static int | format_long (byte[] buf, int offset, String arbstr) throws LBMSDMException
static short | getType (String typeName, boolean isarray)

## Static Public Attributes
static final int | MAX_FIELD_NAME_LENGTH = 255
static final short | TYPE_INVALID = 0
static final short | TYPE_BOOLEAN = 1
static final short | TYPE_INT8 = 2
static final short | TYPE_UINT8 = 3
static final short | TYPE_INT16 = 4
static final short | TYPE_UINT16 = 5
static final short | TYPE_INT32 = 6
static final short | TYPE_UINT32 = 7
static final short | TYPE_INT64 = 8
static final short | TYPE_UINT64 = 9
static final short | TYPE_FLOAT = 10
static final short | TYPE_DOUBLE = 11
static final short | TYPE_DECIMAL = 12
static final short | TYPE_TIMESTAMP = 13
static final short | TYPE_MESSAGE = 14
static final short | TYPE_STRING = 15
static final short | TYPE_UNICODE = 16
static final short | TYPE_BLOB = 17
static final short | TYPE_ARRAY_BOOLEAN = TYPE_BOOLEAN | TYPE_MODIFIER_ARRAY
static final short | TYPE_ARRAY_INT8 = TYPE_INT8 | TYPE_MODIFIER_ARRAY
static final short | TYPE_ARRAY_UINT8 = (TYPE_UINT8 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_INT16 = (TYPE_INT16 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_UINT16 = (TYPE_UINT16 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_INT32 = (TYPE_INT32 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_UINT32 = (TYPE_UINT32 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_INT64 = (TYPE_INT64 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_UINT64 = (TYPE_UINT64 | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_FLOAT = (TYPE_FLOAT | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_DOUBLE = (TYPE_DOUBLE | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_DECIMAL = (TYPE_DECIMAL | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_TIMESTAMP = (TYPE_TIMESTAMP | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_MESSAGE = (TYPE_MESSAGE | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_STRING = (TYPE_STRING | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_UNICODE = (TYPE_UNICODE | TYPE_MODIFIER_ARRAY)
static final short | TYPE_ARRAY_BLOB = (TYPE_BLOB | TYPE_MODIFIER_ARRAY)
static final int | DEBUG_BASIC = 1
static final int | DEBUG_VERBOSE_PARSING = 2

## Static Protected Member Functions
static int | format (byte[] buf, int offset, String v, int len_size) throws LBMSDMException

## Protected Attributes
String | internalValue
short | type = TYPE_INVALID
String | name
int | elements = 0
int | debug_level = 0

## Detailed Description

Implements an SDM Field that is an array of Strings

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMArrayString.LBMSDMArrayString | ( | String | name | ) |

Constructor for a new array field

Parameters

  name | The name of the field

References com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_STRING.

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.clone().

com.latencybusters.lbm.sdm.LBMSDMArrayString.LBMSDMArrayString | ( | String | name,
|  | boolean | nullfield
| ) |  |

Constructor for a new array field

Parameters

  name | The name of the field
  nullfield | Boolean indicating if the field is a null field (true) or if its an array of 0 elements (non-null)

References com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_STRING.

## Member Function Documentation

void com.latencybusters.lbm.sdm.LBMSDMField.add_element | ( | LBMSDMField | newfield | ) | throws LBMSDMException
| inherited

Add an element to an array from a field

Parameters

  newfield | The new field to be added

References com.latencybusters.lbm.sdm.LBMSDMField.append().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldIterator.add_element().

void com.latencybusters.lbm.sdm.LBMSDMArrayString.append | ( | LBMSDMField | newfield | ) | throws LBMSDMException

Append a value to the end of the array

Parameters

  newfield | The field value to be appended

References com.latencybusters.lbm.sdm.LBMSDMFieldString.internalValue.

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.parse().

void com.latencybusters.lbm.sdm.LBMSDMArrayString.append | ( | String | v | ) |

Append a value to the end of the array

Parameters

  v | The field value to be appended

References com.latencybusters.lbm.sdm.LBMSDMField.elements.

LBMSDMArrayString com.latencybusters.lbm.sdm.LBMSDMArrayString.clone | ( |  | ) | throws CloneNotSupportedException

Get a copy of this object

Returns
  A new object with a copy

References com.latencybusters.lbm.sdm.LBMSDMArrayString.clone(), and com.latencybusters.lbm.sdm.LBMSDMArrayString.LBMSDMArrayString().

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.clone().

static int com.latencybusters.lbm.sdm.LBMSDMFieldString.format | ( | byte [] | buf,
|  | int | offset,
|  | String | v,
|  | int | len_size
| ) |  | throws LBMSDMException
| static protected inherited

Format a raw string in to a byte buffer specifying the size of the length field. This is because strings can be limited to 255 bytes for names. String fields can be longer than 255 characters.

Parameters

  buf | The byte buffer to have the string formatted in
  offset | The offset to begin formatting in the buffer
  v | The string to be formatted
  len_size | This specifies the size of the length field to be formatted and should be 1 or 4

Returns
  The updated offset after formatting (points to an unused offset)

Exceptions

  LBMSDMException | when an unexpected error occurs within LBMSDM

References com.latencybusters.lbm.sdm.LBMSDMRawUint32.format().

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldString.format_long(), and com.latencybusters.lbm.sdm.LBMSDMFieldString.format_short().

int com.latencybusters.lbm.sdm.LBMSDMArrayString.format | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Format the array in to a byte buffer

Parameters

  buf | The byte buffer to have the array formatted in
  offset | The offset to begin formatting in the buffer

Returns
  The updated offset after formatting (points to an unused offset)

References com.latencybusters.lbm.sdm.LBMSDMField.elements, com.latencybusters.lbm.sdm.LBMSDMFieldUint32.format(), com.latencybusters.lbm.sdm.LBMSDMFieldString.format_long(), and com.latencybusters.lbm.sdm.LBMSDMFieldUint32.set().

static int com.latencybusters.lbm.sdm.LBMSDMFieldString.format_long | ( | byte [] | buf,
|  | int | offset,
|  | String | arbstr
| ) |  | throws LBMSDMException
| static inherited

Format a long string (greater than 255 characters) The formatted message will use a 4 byte length field to describe the string size

Parameters

  buf | The byte buffer to have the string formatted in
  offset | The offset to begin formatting in the buffer
  arbstr | The string to be formatted

Returns
  The updated offset after formatting (points to an unused offset)

Exceptions

  LBMSDMException | when an unexpected error occurs within LBMSDM

References com.latencybusters.lbm.sdm.LBMSDMFieldString.format().

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.format(), and com.latencybusters.lbm.sdm.LBMSDMFieldString.format().

int com.latencybusters.lbm.sdm.LBMSDMField.format_name | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException
| inherited

Format into a byte buffer the name of this field. Only needed by LBMSDMessage to format messages

Parameters

  buf | The buffer to format the message in to
  offset | The offset in to the byte buffer where the message should be placed

Returns
  The new offset in the buffer after formatting the message name

Exceptions

  LBMSDMException | when an unexpected error occurs within LBMSDM

References com.latencybusters.lbm.sdm.LBMSDMFieldString.format_short().

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data().

static int com.latencybusters.lbm.sdm.LBMSDMFieldString.format_short | ( | byte [] | buf,
|  | int | offset,
|  | String | arbstr
| ) |  | throws LBMSDMException
| static inherited

Format a short string (less than 255 characters) The formatted message will use a 1 byte length field to describe the string size

Parameters

  buf | The byte buffer to have the string formatted in
  offset | The offset to begin formatting in the buffer
  arbstr | The string to be formatted

Returns
  The updated offset after formatting (points to an unused offset)

Exceptions

  LBMSDMNameTooLongException | if the string exceeds 255 characters
  LBMSDMException | when an unexpected error occurs within LBMSDM

References com.latencybusters.lbm.sdm.LBMSDMFieldString.format().

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.format_name().

int com.latencybusters.lbm.sdm.LBMSDMField.format_type | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException
| inherited

Format into a byte buffer the type of this field. Only needed by LBMSDMessage to format messages

Parameters

  buf | The buffer to format the type in to
  offset | The offset in to the byte buffer where the type should be placed

Returns
  The new offset in the buffer after formatting the message type

Exceptions

  LBMSDMException | when an unexpected error occurs within LBMSDM

References com.latencybusters.lbm.sdm.LBMSDMRawUint16.format(), com.latencybusters.lbm.sdm.LBMSDMField.get_len(), and com.latencybusters.lbm.sdm.LBMSDMRawUint16.length.

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data().

String com.latencybusters.lbm.sdm.LBMSDMArrayString.get | ( |  | ) |

Get the current field for this array

Returns
  The current field value

String com.latencybusters.lbm.sdm.LBMSDMArrayString.get | ( | int | idx | ) | throws LBMSDMException

Get the field for a specific array index

Parameters

  idx | The array index

Returns
  The current field value

Exceptions

  LBMSDMOutOfRangeException | when idx exceeds the number of elements in the array

References com.latencybusters.lbm.sdm.LBMSDMField.elements.

final int com.latencybusters.lbm.sdm.LBMSDMFieldString.get_base_len | ( |  | ) |
| inherited

Get the length of formatted field This is used by the respective array class

Returns
  The number of bytes a formatted String will use

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldString.toString().

int com.latencybusters.lbm.sdm.LBMSDMArrayString.get_len | ( |  | ) |

Get the length of formatted field

Returns
  The number of bytes a formatted string will use

References com.latencybusters.lbm.sdm.LBMSDMField.elements.

String com.latencybusters.lbm.sdm.LBMSDMField.get_name | ( |  | ) |
| inherited

Get the field name

Returns
  A string containing the field name

References com.latencybusters.lbm.sdm.LBMSDMField.name.

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMAddingFieldException.LBMSDMAddingFieldException(), com.latencybusters.lbm.sdm.LBMSDMDuplicateFieldException.LBMSDMDuplicateFieldException(), com.latencybusters.lbm.sdm.LBMSDMFields.locate(), and com.latencybusters.lbm.sdm.LBMSDMFields.set().

static short com.latencybusters.lbm.sdm.LBMSDMField.getType | ( | String | typeName,
|  | boolean | isarray
| ) |  |
| static inherited

Get the TYPE_XXX value for a given string. Recognised strings are: boolean, int8, uint8, int16, uint16, int32, uint32, int64, uint64, float, double, decimal, timestamp, message, string, unicode, blob

Parameters

  typeName | A string which needs translating to a short form
  isarray | A boolean indicating if an array type is required

Returns
  A short representation for the string or TYPE_INVALID

References com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INVALID.

short com.latencybusters.lbm.sdm.LBMSDMField.getType | ( |  | ) |
| inherited

Get the type of this field

Returns
  The TYPE_XXX value of this object

References com.latencybusters.lbm.sdm.LBMSDMField.type.

String com.latencybusters.lbm.sdm.LBMSDMField.getTypeString | ( |  | ) |
| inherited

Get a string representing this field type

Returns
  A string representing this field type

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.append(), com.latencybusters.lbm.sdm.LBMSDMTypeMismatchException.LBMSDMTypeMismatchException(), and com.latencybusters.lbm.sdm.LBMSDMField.set().

boolean com.latencybusters.lbm.sdm.LBMSDMArrayString.hasNext | ( |  | ) |

Check to see if there is a next value

References com.latencybusters.lbm.sdm.LBMSDMArrayString.length().

String com.latencybusters.lbm.sdm.LBMSDMField.internalString | ( | String | sname,
|  | String | sval
| ) |  |
| inherited

Create a string based on the internal representation (includes the type)

Parameters

  sname | The field name
  sval | The field value in string form

Returns
  A string that contains the field name and value in ascii form

Referenced by com.latencybusters.lbm.sdm.LBMSDMFieldBool.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldDouble.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldFloat.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUnicode.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.toDbgString(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.toDbgString().

boolean com.latencybusters.lbm.sdm.LBMSDMField.isNull | ( |  | ) |
| inherited

Test to see if this field is a null field (I.E. a field with no data)

Returns
  true/false

int com.latencybusters.lbm.sdm.LBMSDMArrayString.length | ( |  | ) |

Get the length of this array

References com.latencybusters.lbm.sdm.LBMSDMField.elements.

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.hasNext(), and com.latencybusters.lbm.sdm.LBMSDMArrayString.remove().

void com.latencybusters.lbm.sdm.LBMSDM.log | ( | String | s | ) |
| inherited

Log an event. If debug level is set greater than 0, output to stderr

Referenced by com.latencybusters.lbm.sdm.LBMSDMFields.get_attr(), com.latencybusters.lbm.sdm.LBMSDMFields.LBMSDMFields(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.set(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.set(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set().

int com.latencybusters.lbm.sdm.LBMSDMField.name_len | ( |  | ) |
| inherited

Get the length of this fields name in raw form. This is only needed by LBMSDMessage to format a raw message.

Returns
  the number of bytes the name of this field needs plus one for the length

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data().

String com.latencybusters.lbm.sdm.LBMSDMArrayString.next | ( |  | ) |

Get the next element in the array

Returns
  The next field value

int com.latencybusters.lbm.sdm.LBMSDMArrayString.parse | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException

Parse a byte buffer and store the value

Parameters

  buf | The byte buffer to be parsed for the array
  offset | The offset to begin parsing the buffer

Returns
  The next offset to be parsed

References com.latencybusters.lbm.sdm.LBMSDMArrayString.append(), com.latencybusters.lbm.sdm.LBMSDMField.elements, com.latencybusters.lbm.sdm.LBMSDMFieldUint32.get(), com.latencybusters.lbm.sdm.LBMSDMFieldString.internalValue, and com.latencybusters.lbm.sdm.LBMSDMFieldUint32.parse().

int com.latencybusters.lbm.sdm.LBMSDMFieldString.parse_name | ( | byte [] | buf,
|  | int | offset
| ) |  | throws LBMSDMException
| inherited

Parse a byte buffer and store the value as the name which is considered a short string

Parameters

  buf | The byte buffer to be parsed for the name
  offset | The offset to begin parsing the buffer

Returns
  The next offset to be parsed

Exceptions

  LBMSDMException | when an unexpected error occurs within LBMSDM

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.parse().

void com.latencybusters.lbm.sdm.LBMSDMArrayString.remove | ( |  | ) |

Remove the current element

void com.latencybusters.lbm.sdm.LBMSDMArrayString.remove | ( | int | element | ) |

Remove an array element

Parameters

  element | The element index to be removed

References com.latencybusters.lbm.sdm.LBMSDMField.elements, and com.latencybusters.lbm.sdm.LBMSDMArrayString.length().

void com.latencybusters.lbm.sdm.LBMSDMArrayString.reset | ( |  | ) |

Reset the current element to the first

void com.latencybusters.lbm.sdm.LBMSDMArrayString.Reset | ( |  | ) |

Reset the current element to the first

boolean com.latencybusters.lbm.sdm.LBMSDMField.sameBaseType | ( | LBMSDMField | f | ) |
| inherited

Compare the base type of the field to this field

Parameters

  f | A field to compare

Returns
  true if the same type, false if not

References com.latencybusters.lbm.sdm.LBMSDMField.type.

boolean com.latencybusters.lbm.sdm.LBMSDMField.sameType | ( | LBMSDMField | f | ) |
| inherited

Compare the type of the field to this field

Parameters

  f | A field to compare

Returns
  true if the same type, false if not

References com.latencybusters.lbm.sdm.LBMSDMField.type.

void com.latencybusters.lbm.sdm.LBMSDMArrayString.set | ( | String | v | ) |

Set the current element

Parameters

  v | The value to be set

void com.latencybusters.lbm.sdm.LBMSDMArrayString.set | ( | String | v,
|  | int | idx
| ) |  |

Set the current element based on the index

Parameters

  v | The value to be set
  idx | The element of the array to be set

void com.latencybusters.lbm.sdm.LBMSDMArrayString.set | ( | LBMSDMField | newfield,
|  | int | arrayindex
| ) |  | throws LBMSDMException

Set the current element based on the array index

Parameters

  newfield | The new field
  arrayindex | The array index in the field

Exceptions

  LBMSDMOutOfRangeException | when the array index exceeds the number of fields in the array
  LBMSDMAddingFieldException | when a field doesnt exist at the array index

References com.latencybusters.lbm.sdm.LBMSDMField.elements, and com.latencybusters.lbm.sdm.LBMSDMFieldString.LBMSDMFieldString().

void com.latencybusters.lbm.sdm.LBMSDM.set_debug_level | ( | int | level | ) |
| inherited

Set the debug level for processing this SDM message. Currently all debugs go to standard out.

void com.latencybusters.lbm.sdm.LBMSDMField.set_name | ( | String | new_name | ) |
| inherited

Set the name of this field. A copy of the name will be made.

Parameters

  new_name | The name this field shall use.

void com.latencybusters.lbm.sdm.LBMSDMField.setNull | ( |  | ) |
| inherited

Set this field to a null value - discarding current value (if any)

String com.latencybusters.lbm.sdm.LBMSDMArrayString.toDbgString | ( |  | ) |

Get a string useful for debugging

Returns
  A string representation of this object

References com.latencybusters.lbm.sdm.LBMSDMField.elements, com.latencybusters.lbm.sdm.LBMSDMField.internalString(), and com.latencybusters.lbm.sdm.LBMSDMField.name.

String com.latencybusters.lbm.sdm.LBMSDMArrayString.toString | ( |  | ) |

Get the string form of the array

Returns
  A String in the form of the string

int com.latencybusters.lbm.sdm.LBMSDMField.type_len | ( |  | ) |
| inherited

Get the length of the type field in raw form. This is only needed by LBMSDMessage to format a raw message.

Returns
  the number of bytes the type field needs

References com.latencybusters.lbm.sdm.LBMSDMFieldUint16.fixed_size().

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data().

## Member Data Documentation

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_BASIC = 1
| static inherited

Debug flag for basic debug output

int com.latencybusters.lbm.sdm.LBMSDM.debug_level = 0
| protected inherited

Debug mask for SDM implementation.

See also
  set_debug_level

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.parse(), and com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse().

final int com.latencybusters.lbm.sdm.LBMSDM.DEBUG_VERBOSE_PARSING = 2
| static inherited

Debug flag for verbose message parsing output

int com.latencybusters.lbm.sdm.LBMSDMField.elements = 0
| protected inherited

Number of elements in array

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayDouble.append(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.append(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.append(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.append(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.append(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.append(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.append(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.append(), com.latencybusters.lbm.sdm.LBMSDMArrayString.append(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.append(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.append(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.append(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.append(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.format(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.format(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.format(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.format(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.format(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.format(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.format(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.format(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.format(), com.latencybusters.lbm.sdm.LBMSDMArrayString.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.format(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.format(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.format(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.format(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.get(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.get(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.get(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.get(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.get(), com.latencybusters.lbm.sdm.LBMSDMArrayString.get(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.get(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.get(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.get(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.get(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.get(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.get(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayString.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.get_len(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.length(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.length(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.length(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.length(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.length(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.length(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.length(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.length(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.length(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.length(), com.latencybusters.lbm.sdm.LBMSDMArrayString.length(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.length(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.length(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.length(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.length(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.length(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.length(), com.latencybusters.lbm.sdm.LBMSDMField.length(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayString.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.parse(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayString.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.remove(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.set(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.set(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.set(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.set(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.set(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.set(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.set(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.set(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.set(), com.latencybusters.lbm.sdm.LBMSDMArrayString.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.set(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.set(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.set(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.toDbgString(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.toDbgString().

String com.latencybusters.lbm.sdm.LBMSDMFieldString.internalValue
| protected inherited

The internal data storage for this field

Referenced by com.latencybusters.lbm.sdm.LBMSDMArrayString.append(), com.latencybusters.lbm.sdm.LBMSDMFieldString.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldString.get(), com.latencybusters.lbm.sdm.LBMSDMArrayString.parse(), and com.latencybusters.lbm.sdm.LBMSDMFieldString.toString().

final int com.latencybusters.lbm.sdm.LBMSDMField.MAX_FIELD_NAME_LENGTH = 255
| static inherited

Maximum length of a field name.

String com.latencybusters.lbm.sdm.LBMSDMField.name
| protected inherited

The name of this field

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMField.get_name(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.LBMSDMArrayTimestamp(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.LBMSDMFieldBlob(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.LBMSDMFieldDecimal(), com.latencybusters.lbm.sdm.LBMSDMFieldDouble.LBMSDMFieldDouble(), com.latencybusters.lbm.sdm.LBMSDMFieldFloat.LBMSDMFieldFloat(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.LBMSDMFieldMessage(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.LBMSDMFieldTimestamp(), com.latencybusters.lbm.sdm.LBMSDMFieldUint16.LBMSDMFieldUint16(), com.latencybusters.lbm.sdm.LBMSDMFieldUint32.LBMSDMFieldUint32(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.LBMSDMFieldUint64(), com.latencybusters.lbm.sdm.LBMSDMFieldUint8.LBMSDMFieldUint8(), com.latencybusters.lbm.sdm.LBMSDMFieldBool.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldInt32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUnicode.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldDouble.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldFloat.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayString.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.toDbgString(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.toDbgString(), and com.latencybusters.lbm.sdm.LBMSDMArrayUint64.toDbgString().

short com.latencybusters.lbm.sdm.LBMSDMField.type = TYPE_INVALID
| protected inherited

The current field type

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), com.latencybusters.lbm.sdm.LBMSDMField.getType(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.LBMSDMFieldTimestamp(), com.latencybusters.lbm.sdm.LBMSDMField.sameBaseType(), com.latencybusters.lbm.sdm.LBMSDMField.sameType(), and com.latencybusters.lbm.sdm.LBMSDMField.toDbgString().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_BLOB = (TYPE_BLOB | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of Binary Large Objects (BLOB).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayBlob.LBMSDMArrayBlob(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_BOOLEAN = TYPE_BOOLEAN | TYPE_MODIFIER_ARRAY
| static inherited

SDM field type: Array of Booleans (non-zero is true; zero is false).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayBool.LBMSDMArrayBool(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_DECIMAL = (TYPE_DECIMAL | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of decimal numbers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayDecimal.LBMSDMArrayDecimal(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_DOUBLE = (TYPE_DOUBLE | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of double-precision floating points.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayDouble.LBMSDMArrayDouble(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_FLOAT = (TYPE_FLOAT | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of single-precision floating points.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayFloat.LBMSDMArrayFloat(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_INT16 = (TYPE_INT16 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 16-bit signed integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayInt16.LBMSDMArrayInt16(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_INT32 = (TYPE_INT32 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 32-bit signed integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayInt32.LBMSDMArrayInt32(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_INT64 = (TYPE_INT64 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 64-bit signed integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayInt64.LBMSDMArrayInt64(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_INT8 = TYPE_INT8 | TYPE_MODIFIER_ARRAY
| static inherited

SDM field type: Array of 8-bit signed integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayInt8.LBMSDMArrayInt8(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_MESSAGE = (TYPE_MESSAGE | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of nested SDM messages.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayMessage.LBMSDMArrayMessage(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_STRING = (TYPE_STRING | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of character strings (ASCIZ).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayString.LBMSDMArrayString(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_TIMESTAMP = (TYPE_TIMESTAMP | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of timestamps (seconds and microseconds since the epoch (UTC)).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayTimestamp.LBMSDMArrayTimestamp(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_UINT16 = (TYPE_UINT16 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 16-bit unsigned integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayUint16.LBMSDMArrayUint16(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_UINT32 = (TYPE_UINT32 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 32-bit unsigned integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayUint32.LBMSDMArrayUint32(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_UINT64 = (TYPE_UINT64 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 64-bit unsigned integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayUint64.LBMSDMArrayUint64(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_UINT8 = (TYPE_UINT8 | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of 8-bit unsigned integers.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayUint8.LBMSDMArrayUint8(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_ARRAY_UNICODE = (TYPE_UNICODE | TYPE_MODIFIER_ARRAY)
| static inherited

SDM field type: Array of unicode strings.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMArrayUnicode.LBMSDMArrayUnicode(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_BLOB = 17
| static inherited

SDM field type: Binary Large Object (BLOB).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBlob.LBMSDMFieldBlob(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_BOOLEAN = 1
| static inherited

SDM field type: Boolean (non-zero is true; zero is false).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldBool.LBMSDMFieldBool(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_DECIMAL = 12
| static inherited

SDM field type: Decimal number.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldDecimal.LBMSDMFieldDecimal(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_DOUBLE = 11
| static inherited

SDM field type: Double-precision floating point.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldDouble.LBMSDMFieldDouble(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_FLOAT = 10
| static inherited

SDM field type: Single-precision floating point.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldFloat.LBMSDMFieldFloat(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INT16 = 4
| static inherited

SDM field type: 16-bit signed integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldInt16.LBMSDMFieldInt16(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INT32 = 6
| static inherited

SDM field type: 32-bit signed integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldInt32.LBMSDMFieldInt32(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INT64 = 8
| static inherited

SDM field type: 64-bit signed integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldInt64.LBMSDMFieldInt64(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INT8 = 2
| static inherited

SDM field type: 8-bit signed integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldInt8.LBMSDMFieldInt8(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_INVALID = 0
| static inherited

SDM field type: Type is invalid.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.getType().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_MESSAGE = 14
| static inherited

SDM field type: Nested SDM message.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldMessage.LBMSDMFieldMessage(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_STRING = 15
| static inherited

SDM field type: Character string (ASCIZ).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldString.LBMSDMFieldString(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_TIMESTAMP = 13
| static inherited

SDM field type: Seconds and microseconds since the epoch (UTC).

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldTimestamp.LBMSDMFieldTimestamp(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_UINT16 = 5
| static inherited

SDM field type: 16-bit unsigned integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint16.LBMSDMFieldUint16(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_UINT32 = 7
| static inherited

SDM field type: 32-bit unsigned integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint32.LBMSDMFieldUint32(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_UINT64 = 9
| static inherited

SDM field type: 64-bit unsigned integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint64.LBMSDMFieldUint64(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_UINT8 = 3
| static inherited

SDM field type: 8-bit unsigned integer.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUint8.LBMSDMFieldUint8(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

final short com.latencybusters.lbm.sdm.LBMSDMField.TYPE_UNICODE = 16
| static inherited

SDM field type: Unicode string.

Referenced by com.latencybusters.lbm.sdm.LBMSDMField.clone(), com.latencybusters.lbm.sdm.LBMSDMFieldUnicode.LBMSDMFieldUnicode(), and com.latencybusters.lbm.sdm.LBMSDMessage.parse().

The documentation for this class was generated from the following file:

- LBMSDMArrayString.java